%define oname ppx_sexp_conv

%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

Name:           ocaml-%{oname}
Epoch:          1
Version:        0.17.0
Release:        %mkrel 1
Summary:        Generation of S-expression conversion functions from type definitions
Group:          Development/OCaml
License:        MIT
URL:            https://github.com/janestreet/%{oname}
Source0:        https://github.com/janestreet/%{oname}/archive/v%{version}.tar.gz

BuildRequires:  ocaml >= 5.1.0
BuildRequires:  ocaml-base-devel >= 0.17
BuildRequires:  ocaml-dune >= 3.11.0
BuildRequires:  ocaml-ppxlib-devel >= 0.28.0
BuildRequires:  ocaml-ppxlib_jane-devel >= 0.17
BuildRequires:  ocaml-sexplib0-devel >= 0.17

%description
Ppx_sexp_conv is a PPX syntax extension that generates code for
converting OCaml types to and from s-expressions, as defined in the
sexplib0 library.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature
files for developing applications that use %{name}.

%prep
%setup -q -n %{oname}-%{version}

%build
%dune_build

%install
%dune_install

%files -f .ofiles
%doc CHANGES.md README.org
%license LICENSE.md

%files devel -f .ofiles-devel



%changelog
* Sat May 31 2025 pterjan <pterjan> 1:0.17.0-1.mga10
+ Revision: 2187621
- Update to 0.17.0

* Sat Dec 10 2022 pterjan <pterjan> 1:0.15.1-4.mga9
+ Revision: 1920436
- Rebuild for new ppxlib

* Sun Oct 09 2022 pterjan <pterjan> 1:0.15.1-3.mga9
+ Revision: 1895909
- Rebuild for new ocaml-ppxlib

* Thu May 19 2022 pterjan <pterjan> 1:0.15.1-2.mga9
+ Revision: 1859301
- Rebuild for OCaml 4.14

* Mon May 09 2022 pterjan <pterjan> 1:0.15.1-1.mga9
+ Revision: 1857243
- Update to 0.15.1

* Tue Apr 05 2022 umeabot <umeabot> 1:0.14.3-4.mga9
+ Revision: 1844581
- Mageia 9 Mass Rebuild

* Wed Oct 13 2021 tv <tv> 1:0.14.3-3.mga9
+ Revision: 1751233
- Rebuild for ocaml 4.13.1

* Sat Mar 20 2021 tv <tv> 1:0.14.3-2.mga9
+ Revision: 1705163
- Rebuild dor ocaml-ppxlib

* Sat Mar 06 2021 tv <tv> 1:0.14.3-1.mga9
+ Revision: 1700008
- 0.14.3
- 0.14.0

* Sun Jan 10 2021 pterjan <pterjan> 1:0.13.0-6.mga8
+ Revision: 1670787
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 1:0.13.0-5.mga8
+ Revision: 1551817
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 1:0.13.0-4.mga8
+ Revision: 1545839
- Mageia 8 Mass Rebuild

* Thu Jan 30 2020 tv <tv> 1:0.13.0-3.mga8
+ Revision: 1485329
- rebuild for new ocaml-stdio

* Mon Jan 27 2020 tv <tv> 1:0.13.0-1.mga8
+ Revision: 1483822
- new release + rebuild for ocaml-4.10

* Tue Oct 23 2018 pterjan <pterjan> 1:0.11.2-2.mga7
+ Revision: 1324593
- Rebuild for ocaml-migrate-parsetree 1.1.0

* Tue Oct 23 2018 pterjan <pterjan> 1:0.11.2-1.mga7
+ Revision: 1324520
- Update to 0.11.2

* Thu Aug 30 2018 daviddavid <daviddavid> 1:0.10.0-3.mga7
+ Revision: 1255613
- rebuild for new ocaml-result 1.3

* Fri Jul 06 2018 daviddavid <daviddavid> 1:0.10.0-2.mga7
+ Revision: 1242026
- rebuild against current ocaml stack
- enable debug package as it should

* Sun Jan 14 2018 pterjan <pterjan> 1:0.10.0-1.mga7
+ Revision: 1193189
- Update to v0.10.0
+ tv <tv>
- rebuild for new ocaml

* Fri Feb 19 2016 pterjan <pterjan> 113.24.00-1.mga6
+ Revision: 967585
- imported package ocaml-ppx_sexp_conv

